module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 130);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("element-ui/lib/button");

/***/ }),

/***/ 130:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/query-table/src/main.vue?vue&type=template&id=6a1129e4&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "op-table" },
    [
      _c(
        "div",
        { staticClass: "table-wrap" },
        [
          _c(
            "el-table",
            {
              directives: [
                {
                  name: "loading",
                  rawName: "v-loading",
                  value: _vm.options.loading,
                  expression: "options.loading"
                }
              ],
              ref: "mutipleTable",
              attrs: {
                data: _vm.list,
                stripe: _vm.options.stripe,
                "header-cell-class-name": "table-header",
                border: _vm.options.border,
                "header-cell-style": { background: "#f4f4f4" }
              },
              on: { "selection-change": _vm.handleSelectionChange }
            },
            [
              _vm.options.mutiSelect
                ? _c("el-table-column", {
                    staticStyle: { width: "50px" },
                    attrs: { type: "selection" }
                  })
                : _vm._e(),
              _vm.options.index
                ? _c("el-table-column", {
                    attrs: {
                      label: "序号",
                      type: "index",
                      width: "50",
                      align: "center"
                    },
                    scopedSlots: _vm._u([
                      {
                        key: "default",
                        fn: function(scope) {
                          return [
                            _c("span", [
                              _vm._v(
                                "\n            " +
                                  _vm._s(
                                    scope.$index +
                                      (_vm.pagination.pageIndex - 1) *
                                        _vm.pagination.pageSize +
                                      1
                                  ) +
                                  "\n          "
                              )
                            ])
                          ]
                        }
                      }
                    ])
                  })
                : _vm._e(),
              _vm._l(_vm.columns, function(column, index) {
                return [
                  _c("el-table-column", {
                    key: index,
                    attrs: {
                      prop: column.prop,
                      label: column.label,
                      align: column.align || "left",
                      width: column.width,
                      fixed: column.fixed,
                      "render-header": column.renderHeader,
                      "show-overflow-tooltip": _vm.showToolTip(column.tooltip)
                    },
                    scopedSlots: _vm._u([
                      {
                        key: "default",
                        fn: function(scope) {
                          return [
                            !column.hasPic
                              ? [
                                  !column.render
                                    ? [
                                        column.formatter
                                          ? [
                                              _c("span", {
                                                domProps: {
                                                  innerHTML: _vm._s(
                                                    column.formatter(
                                                      scope.row,
                                                      column,
                                                      scope.$index
                                                    )
                                                  )
                                                }
                                              })
                                            ]
                                          : [
                                              _c("span", [
                                                _vm._v(
                                                  "\n                    " +
                                                    _vm._s(
                                                      scope.row[column.prop] ||
                                                        _vm.options.default ||
                                                        ""
                                                    ) +
                                                    "\n                  "
                                                )
                                              ])
                                            ]
                                      ]
                                    : [
                                        _c("expand-dom", {
                                          attrs: {
                                            render: column.render,
                                            column: column,
                                            row: scope.row,
                                            index: index
                                          }
                                        })
                                      ]
                                ]
                              : [
                                  scope.row[column.prop] !== ""
                                    ? _c("el-image", {
                                        staticStyle: {
                                          width: "40px",
                                          height: "40px"
                                        },
                                        attrs: {
                                          src:
                                            _vm.imgrl +
                                            scope.row[column.prop].split(
                                              ","
                                            )[0],
                                          "preview-src-list": _vm.stringToArr(
                                            scope.row[column.prop]
                                          )
                                        }
                                      })
                                    : _c("span", [_vm._v("--")])
                                ]
                          ]
                        }
                      }
                    ])
                  })
                ]
              }),
              _vm.operates && !_vm.options.slot
                ? _c("el-table-column", {
                    ref: "fixedColumn",
                    attrs: {
                      label: "操作",
                      align: _vm.left,
                      width: _vm.operates.width,
                      fixed: _vm.operates.fixed
                    },
                    scopedSlots: _vm._u([
                      {
                        key: "default",
                        fn: function(scope) {
                          return [
                            _c(
                              "div",
                              { staticClass: "operate-group" },
                              [
                                _vm._l(_vm.operates.list, function(btn, key) {
                                  return [
                                    _c(
                                      "el-button",
                                      {
                                        key: key,
                                        style: btn.style,
                                        attrs: {
                                          type: btn.type,
                                          size: "mini",
                                          icon: btn.icon,
                                          disabled: btn.disabled,
                                          plain: btn.plain
                                        },
                                        nativeOn: {
                                          click: function($event) {
                                            $event.preventDefault()
                                            btn.method(scope.row, key)
                                          }
                                        }
                                      },
                                      [_vm._v(_vm._s(btn.label))]
                                    )
                                  ]
                                })
                              ],
                              2
                            )
                          ]
                        }
                      }
                    ])
                  })
                : _vm._e(),
              _vm.options.slot
                ? _c("el-table-column", {
                    attrs: {
                      label: "操作",
                      align: _vm.options.align || "left",
                      width: _vm.options.oPWidth,
                      fixed: _vm.options.oPfixed
                    },
                    scopedSlots: _vm._u([
                      {
                        key: "default",
                        fn: function(scope) {
                          return [_vm._t("default", null, { row: scope.row })]
                        }
                      }
                    ])
                  })
                : _vm._e()
            ],
            2
          )
        ],
        1
      ),
      _vm.pagination.show
        ? _c("el-pagination", {
            staticStyle: { "margin-top": "20px", "text-align": "left" },
            attrs: {
              background: "",
              "page-size": _vm.pagination.pageSize,
              "page-sizes":
                _vm.pagination.pageSizeArr &&
                _vm.pagination.pageSizeArr.length > 0
                  ? _vm.pagination.pageSizeArr
                  : [10, 50, 100, 500, 5000],
              "current-page": _vm.pagination.pageIndex,
              layout: "total,sizes, prev, pager, next,jumper",
              total: _vm.pagination.total
            },
            on: {
              "size-change": _vm.handleSizeChange,
              "current-change": _vm.handleIndexChange
            }
          })
        : _vm._e()
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/query-table/src/main.vue?vue&type=template&id=6a1129e4&

// EXTERNAL MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/query-table/src/main.vue?vue&type=script&lang=js&
var mainvue_type_script_lang_js_ = __webpack_require__(41);

// CONCATENATED MODULE: ./packages/query-table/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_["a" /* default */]); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/query-table/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/query-table/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/query-table/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var query_table = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 41:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(process) {/* harmony import */ var element_ui_packages_table__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(54);
/* harmony import */ var element_ui_packages_table__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(element_ui_packages_table__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var element_ui_packages_table_column__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(55);
/* harmony import */ var element_ui_packages_table_column__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(element_ui_packages_table_column__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var element_ui_packages_button__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(13);
/* harmony import */ var element_ui_packages_button__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(element_ui_packages_button__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var element_ui_packages_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(56);
/* harmony import */ var element_ui_packages_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(element_ui_packages_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var element_ui_packages_pagination__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(57);
/* harmony import */ var element_ui_packages_pagination__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(element_ui_packages_pagination__WEBPACK_IMPORTED_MODULE_4__);
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//








/* harmony default export */ __webpack_exports__["a"] = ({
  name: "ElQueryTable",
  props: {
    list: {
      type: Array,
      default: function _default() {
        return [];
      } // prop:表头绑定的地段，label：表头名称，align：每列数据展示形式（left, center, right），width:列宽
    }, // 数据列表
    columns: {
      type: Array,
      default: function _default() {
        return [];
      } // 需要展示的列 === prop：列数据对应的属性，label：列名，align：对齐方式，width：列宽
    },
    operates: {
      type: Object,
      default: function _default() {
        // width:按钮列宽，fixed：是否固定（left,right）,按钮集合 === label: 文本，type :类型（primary / success / warning / danger / info / text
        // show：是否显示，icon：按钮图标，plain：是否朴素按钮，disabled：是否禁用，method：回调方法
      }
    },
    pagination: {
      type: Object,
      default: {} // 分页参数 === pageSize:每页展示的条数，pageIndex:当前页，pageArray: 每页展示条数的控制集合，默认 _page_array
    },
    getList: Function,
    tableRowClassName: Function,
    options: {
      type: Object,
      default: {} // table 表格的控制参数
    } },
  components: {
    ElTable: element_ui_packages_table__WEBPACK_IMPORTED_MODULE_0___default.a,
    ElTableColumn: element_ui_packages_table_column__WEBPACK_IMPORTED_MODULE_1___default.a,
    ElButton: element_ui_packages_button__WEBPACK_IMPORTED_MODULE_2___default.a,
    ElImage: element_ui_packages_image__WEBPACK_IMPORTED_MODULE_3___default.a,
    ElPagination: element_ui_packages_pagination__WEBPACK_IMPORTED_MODULE_4___default.a,

    expandDom: {
      functional: true,
      props: {
        row: Object,
        render: Function,
        index: Number,
        column: {
          type: Object,
          default: null
        }
      },
      render: function render(h, ctx) {
        var params = {
          row: ctx.props.row,
          index: ctx.props.index
        };
        if (ctx.props.column) params.column = ctx.props.column;
        return ctx.props.render(h, params);
      }
    }
  },
  data: function data() {
    return {
      multipleSelection: [], // 多行选中
      imgrl: process.env.VUE_APP_IMGURL
    };
  },
  created: function created() {
    // options 处理
    if (this.options.initTable !== false) {
      this.getList();
    }
    // === 表格参数默认值
    this.$parent.options = Object.assign({
      // maxHeight: 500, // 表格 max-height
      initTable: true, // 是否一进来就加载表格数据
      stripe: true, // 是否为斑马纹 table
      loading: false, // 是否添加表格loading加载动画
      highlightCurrentRow: true, // 是否支持当前行高亮显示
      mutiSelect: false, // 是否支持列表项选中功能
      border: true
    }, this.options);
  },

  methods: {
    // 是否需要多出隐藏
    showToolTip: function showToolTip(tip) {
      if (tip === false) {
        return false;
      }
      return true;
    },

    // 切换每页显示的数量
    handleSizeChange: function handleSizeChange(size) {
      this.pagination.pageSize = size;
      this.getList();
    },

    // 切换页码
    handleIndexChange: function handleIndexChange(current) {
      this.pagination.pageIndex = current;
      this.getList();
    },

    // 多行选中
    handleSelectionChange: function handleSelectionChange(val) {
      this.multipleSelection = val;
      this.$emit("handleSelectionChange", val);
    },

    //图片数组
    stringToArr: function stringToArr(str) {
      var _this = this;

      var arr = str.split(",");
      var arr1 = [];
      arr.forEach(function (e) {
        arr1.push(_this.imgrl + e);
      });
      return arr1;
    }
  }
});
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(59)))

/***/ }),

/***/ 54:
/***/ (function(module, exports) {

module.exports = require("element-ui/lib/table");

/***/ }),

/***/ 55:
/***/ (function(module, exports) {

module.exports = require("element-ui/lib/table-column");

/***/ }),

/***/ 56:
/***/ (function(module, exports) {

module.exports = require("element-ui/lib/image");

/***/ }),

/***/ 57:
/***/ (function(module, exports) {

module.exports = require("element-ui/lib/pagination");

/***/ }),

/***/ 59:
/***/ (function(module, exports) {

// shim for using process in browser
var process = module.exports = {};

// cached from whatever global is present so that test runners that stub it
// don't break things.  But we need to wrap it in a try catch in case it is
// wrapped in strict mode code which doesn't define any globals.  It's inside a
// function because try/catches deoptimize in certain engines.

var cachedSetTimeout;
var cachedClearTimeout;

function defaultSetTimout() {
    throw new Error('setTimeout has not been defined');
}
function defaultClearTimeout () {
    throw new Error('clearTimeout has not been defined');
}
(function () {
    try {
        if (typeof setTimeout === 'function') {
            cachedSetTimeout = setTimeout;
        } else {
            cachedSetTimeout = defaultSetTimout;
        }
    } catch (e) {
        cachedSetTimeout = defaultSetTimout;
    }
    try {
        if (typeof clearTimeout === 'function') {
            cachedClearTimeout = clearTimeout;
        } else {
            cachedClearTimeout = defaultClearTimeout;
        }
    } catch (e) {
        cachedClearTimeout = defaultClearTimeout;
    }
} ())
function runTimeout(fun) {
    if (cachedSetTimeout === setTimeout) {
        //normal enviroments in sane situations
        return setTimeout(fun, 0);
    }
    // if setTimeout wasn't available but was latter defined
    if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {
        cachedSetTimeout = setTimeout;
        return setTimeout(fun, 0);
    }
    try {
        // when when somebody has screwed with setTimeout but no I.E. maddness
        return cachedSetTimeout(fun, 0);
    } catch(e){
        try {
            // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
            return cachedSetTimeout.call(null, fun, 0);
        } catch(e){
            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
            return cachedSetTimeout.call(this, fun, 0);
        }
    }


}
function runClearTimeout(marker) {
    if (cachedClearTimeout === clearTimeout) {
        //normal enviroments in sane situations
        return clearTimeout(marker);
    }
    // if clearTimeout wasn't available but was latter defined
    if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {
        cachedClearTimeout = clearTimeout;
        return clearTimeout(marker);
    }
    try {
        // when when somebody has screwed with setTimeout but no I.E. maddness
        return cachedClearTimeout(marker);
    } catch (e){
        try {
            // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
            return cachedClearTimeout.call(null, marker);
        } catch (e){
            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
            // Some versions of I.E. have different rules for clearTimeout vs setTimeout
            return cachedClearTimeout.call(this, marker);
        }
    }



}
var queue = [];
var draining = false;
var currentQueue;
var queueIndex = -1;

function cleanUpNextTick() {
    if (!draining || !currentQueue) {
        return;
    }
    draining = false;
    if (currentQueue.length) {
        queue = currentQueue.concat(queue);
    } else {
        queueIndex = -1;
    }
    if (queue.length) {
        drainQueue();
    }
}

function drainQueue() {
    if (draining) {
        return;
    }
    var timeout = runTimeout(cleanUpNextTick);
    draining = true;

    var len = queue.length;
    while(len) {
        currentQueue = queue;
        queue = [];
        while (++queueIndex < len) {
            if (currentQueue) {
                currentQueue[queueIndex].run();
            }
        }
        queueIndex = -1;
        len = queue.length;
    }
    currentQueue = null;
    draining = false;
    runClearTimeout(timeout);
}

process.nextTick = function (fun) {
    var args = new Array(arguments.length - 1);
    if (arguments.length > 1) {
        for (var i = 1; i < arguments.length; i++) {
            args[i - 1] = arguments[i];
        }
    }
    queue.push(new Item(fun, args));
    if (queue.length === 1 && !draining) {
        runTimeout(drainQueue);
    }
};

// v8 likes predictible objects
function Item(fun, array) {
    this.fun = fun;
    this.array = array;
}
Item.prototype.run = function () {
    this.fun.apply(null, this.array);
};
process.title = 'browser';
process.browser = true;
process.env = {};
process.argv = [];
process.version = ''; // empty string to avoid regexp issues
process.versions = {};

function noop() {}

process.on = noop;
process.addListener = noop;
process.once = noop;
process.off = noop;
process.removeListener = noop;
process.removeAllListeners = noop;
process.emit = noop;
process.prependListener = noop;
process.prependOnceListener = noop;

process.listeners = function (name) { return [] }

process.binding = function (name) {
    throw new Error('process.binding is not supported');
};

process.cwd = function () { return '/' };
process.chdir = function (dir) {
    throw new Error('process.chdir is not supported');
};
process.umask = function() { return 0; };


/***/ })

/******/ });